Bug 1914053 - pods assigned with Multus whereabouts IP get stuck in ContainerCreating state after node rebooting.
Summary: pods assigned with Multus whereabouts IP get stuck in ContainerCreating state...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.6
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.10.0
Assignee: Douglas Smith
QA Contact: Weibin Liang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-08 02:43 UTC by Xingbin Li
Modified: 2023-03-29 05:57 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Added reconciliation job which periodically cleans up stranded IP addresses. Reason: Sometimes IP address allocations with Whereabouts are left stranded due to cluster events such as reboots, which don't allow the CNI DEL to process in order to properly release an IP address. When pods that reference Whereabouts IP-managed secondary interfaces use ranges that are exhausted due to too many stranded IP addresses, these pods can wind up in an irreconcilable crashloop. Result: Stranded IP addresses are periodically cleaned.
Clone Of:
Environment:
Last Closed: 2022-03-10 16:02:37 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-network-operator pull 1207 0 None open Bug 1914053: whereabouts: add ip-reconciler cronjob 2021-10-15 18:37:24 UTC
Red Hat Knowledge Base (Solution) 5841121 0 None None None 2021-03-01 02:35:19 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:03:19 UTC

Comment 17 Weibin Liang 2021-11-03 15:45:54 UTC
Tested and verified in 4.10.0-0.nightly-2021-11-02-19163

Comment 25 errata-xmlrpc 2022-03-10 16:02:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056

Comment 31 Adrian 2023-01-30 07:26:03 UTC
Hello Team,

I have another customer with the same issue in RHOCP 4.11.6 --> 03412816

Please, could you confirm if the bug was also backported to 4.11?

Many thanks in advance,

Best Regards,


Adrián.


Note You need to log in before you can comment on or make changes to this bug.